import logging
import json
from typing import Any, Dict, Union


def get_secret(secret_path: str, secret_id: str) -> Union[str, Dict[str, Any]]:
    with open(secret_path, "r") as fp:
        secrets = json.load(fp)
        if secret_id not in secrets:
            logging.info(f"Setting {secret_id} to None, as it is not in {secret_path}")
            return None
        return secrets[secret_id]
